using System;
using System.Collections.Generic;
using System.Text;
using BazaZamowien.zamowieniaDataSetTableAdapters;

namespace BazaZamowien.Classes
{
    class ZamowienieMail
    {
        public static void initMailForm(MailForm form,int IDEzamowienia)
        {

            ZamowieniaTableAdapter adapter = new ZamowieniaTableAdapter();
            adapter.Connection.ConnectionString = ConnString.getConnString().ZamowieniaConnStr;

            zamowieniaDataSet.ZamowieniaDataTable table = adapter.GetDataByIDE(IDEzamowienia);
            zamowieniaDataSet.ZamowieniaRow row = table[0];

            form.tematTextBox.Text = "Dotyczy zamowienia " + row.Numer + "/" + row.Numer_Roz + "/" + row.Numer_Rok;
            form.odTextBox.Text = User.getUser().Imie + " " + User.getUser().Nazwisko;
            form.odEmailTextBox.Text = User.getUser().Email;
            form.doWiadomosciTextBox.Text = User.getUser().Email;

            BoundItem item = new BoundItem(ZamowieniaUtils.podajEmailaUzytkownika(row.ZamowienieKto),
            ZamowieniaUtils.podajDaneUzytkownika(row.ZamowienieKto));

            form.doComboBox.Items.Add(item);

            if (!row.IsDecyzja1KtoNull() && row.Decyzja1Kto != row.ZamowienieKto)
            {
                item = new BoundItem(ZamowieniaUtils.podajEmailaUzytkownika(row.Decyzja1Kto),
                ZamowieniaUtils.podajDaneUzytkownika(row.Decyzja1Kto));
                form.doComboBox.Items.Add(item);
            }


            if (!row.IsDecyzja2KtoNull() && row.Decyzja2Kto != row.ZamowienieKto)
            {
                item = new BoundItem(ZamowieniaUtils.podajEmailaUzytkownika(row.Decyzja2Kto),
                ZamowieniaUtils.podajDaneUzytkownika(row.Decyzja2Kto));
                form.doComboBox.Items.Add(item);
            }


            if (!row.IsDecyzja3KtoNull() && row.Decyzja3Kto != row.ZamowienieKto)
            {
                item = new BoundItem(ZamowieniaUtils.podajEmailaUzytkownika(row.Decyzja3Kto),
                ZamowieniaUtils.podajDaneUzytkownika(row.Decyzja3Kto));
                form.doComboBox.Items.Add(item);
            }


        }
    }
}
